/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Vascular Indices And Ratios
 */
public enum EnumCM_VascularIndicesAndRatios {

	//CID 12121 Vascular Indices And Ratios
	ACCELERATION_INDEX("Acceleration Index"),
	LUMEN_AREA_STENOSIS("Lumen Area Stenosis"),
	LUMEN_DIAMETER_STENOSIS("Lumen Diameter Stenosis"),
	PULSATILITY_INDEX("Pulsatility Index"),
	RESISTIVITY_INDEX("Resistivity Index"),
	SYSTOLIC_TO_DIASTOLIC_VELOCITY_RATIO("Systolic to Diastolic Velocity Ratio"),
	VELOCITY_RATIO("Velocity ratio");
	
	private String value;
	
	EnumCM_VascularIndicesAndRatios(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
